Bug 26214 - On Android, InputTransparent=true does not work with ScrollView
Summary: On Android, InputTransparent=true does not work with ScrollView
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.1
Hardware: PC Windows
: Normal normal
Target Milestone: 1.3.3
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-01-20 17:24 UTC by philip
Modified: 2015-02-04 09:45 UTC (History)
7 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description philip 2015-01-20 17:24:41 UTC
Setting a ScrollViews's InputTransparent property to true does not have any effect.

I expect the scroll view to stop responding to touch events but it still scrolls and consumes the events.
Comment 1 philip 2015-01-21 11:44:16 UTC
FYI I implemented this in a sub-classed android ScrollViewRenderer:

		public override bool OnInterceptTouchEvent(MotionEvent ev)
		{
			if (this.Element.InputTransparent)
				return false;

			return base.OnInterceptTouchEvent(ev);
		}

I think this is what needs to be added to the Xamarin.Forms ScrollViewRenderer
Comment 2 asimk 2015-01-21 14:14:50 UTC
I have checked this issue with the help of bug description and getting same behavior. I observed that when I set the InputTransparent property set to true its working fine but when I set to false scroll view is not responding as expected in iOS device. 
But when I set InputTransparent property true or false in Android there is no effect as expected, means InputTransparent property does not work with Android.

Screencast:
http://screencast.com/t/EvAyMvjS

Environment Info:
Xamarin.Forms.1.3.2.6299-pre1

Microsoft Visual Studio Professional 2013
Version 12.0.31101.00 Update 4
Microsoft .NET Framework
Version 4.5.51641

Xamarin   3.9.283.0 (9dc78c4)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   4.20.0.34 (49a04b966feb40dfdba49d57ba16249b66d606a6)
Visual Studio plugin to enable development for Xamarin.Android.

Xamarin.iOS   8.6.1.0 (17a86942f227f2877523cc16fe1fb3c93a1ac0ef)
Visual Studio extension to enable development for Xamarin.iOS.

Xamarin.iOS Unified Migration   1.0
Automated migration for Xamarin iOS Classic projects to Unified
Comment 3 Jason Smith [MSFT] 2015-01-28 13:11:25 UTC
Should be fixed in 1.3.3-pre1
Comment 4 Ram Chandra 2015-02-04 09:45:38 UTC
I have checked this issue with following builds:

Xamarin.Forms.1.3.3.6321-pre2
Windows 8.1 Pro
Microsoft Visual Studio Professional 2013
Version 12.0.30723.00 Update 3
Microsoft .NET Framework
Version 4.5.51641
Installed Version: Professional
Xamarin   3.9.291.0 (9f3e552)
Xamarin.Android   4.20.0.34 (49a04b966feb40dfdba49d57ba16249b66d606a6)
Xamarin.iOS   8.6.1.0 (3b3ef438017c7ecf486defa9e01567a5f2b3cb2a)

When I set the ScrollViews's InputTransparent property to true scroll view is stop responding 
to touch events and I am unable to scroll but when I set InputTransparent property to false I am able to scroll the view and the touch event is working.

Screencast: http://www.screencast.com/t/8bYbF1xw

This issue has been fixed. Hence I am closing this issue.